RegionRedundancyStatus.RedundancyStatus (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.runtime, interface: RegionRedundancyStatus, enum: RedundancyStatus

Package org.apache.geode.management.runtime

# Enum Class RegionRedundancyStatus.RedundancyStatus

java.lang.Object
java.lang.Enum<RegionRedundancyStatus.RedundancyStatus>
org.apache.geode.management.runtime.RegionRedundancyStatus.RedundancyStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<RegionRedundancyStatus.RedundancyStatus>`, `Constable`

Enclosing interface:
  RegionRedundancyStatus

public static enum RegionRedundancyStatus.RedundancyStatus extends Enum<RegionRedundancyStatus.RedundancyStatus>
The redundancy status of the region used to create this object at time of creation. `SATISFIED` if every bucket in the region has the configured number of redundant copies. `NOT_SATISFIED` if at least one bucket in the region has less than the configured number of redundant copies. `NO_REDUNDANT_COPIES` if at least one bucket in the region has zero redundant copies and the region is not configured for zero redundancy.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_REDUNDANT_COPIES`
  `NOT_SATISFIED`
  `SATISFIED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RegionRedundancyStatus.RedundancyStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RegionRedundancyStatus.RedundancyStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SATISFIED

    public static final RegionRedundancyStatus.RedundancyStatus SATISFIED

  - ### NOT_SATISFIED

    public static final RegionRedundancyStatus.RedundancyStatus NOT_SATISFIED

  - ### NO_REDUNDANT_COPIES

    public static final RegionRedundancyStatus.RedundancyStatus NO_REDUNDANT_COPIES

- ## Method Details

  - ### values

    public static RegionRedundancyStatus.RedundancyStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RegionRedundancyStatus.RedundancyStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null